channel {Biobase} | R Documentation

## Create a new ExpressionSet instance by selecting a specific channel

### Description

This generic function extracts a specific element from an object, returning a instance of ExpressionSet.

### Usage

    channel(object, name, ...)

### Arguments

`object` | An S4 object, typically derived from class `eSet`
`name` | A (length one) character vector channel names.
`...` | Additional arguments.

### Value

Instance of class `ExpressionSet`.

### Author(s)

Biocore

### Examples

    obj <- new("NChannelSet",
               R=matrix(runif(100), 20, 5),
               G=matrix(runif(100), 20, 5))
    ## G channel as ExpressionSet
    channel(obj, "G")

[Package Biobase version 1.16.3 Index]